package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgRatepay;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgRatepayService {


	OrgRatepay insert(OrgRatepay orgRatepay);

	int updateByPrimaryKeySelective(OrgRatepay orgRatepay);

	Pagination<OrgRatepay> listOrgRatepay(Integer year, Integer pNo, Integer pSize, String userId);

	int deleteByPrimaryKey(List<String> id);

	OrgRatepay selectRatepayByUidAndYear(String userId, Integer year);

	OrgRatepay selectByPrimaryKey(String id);

}
